ChangeSet 1.1342.8.60, 2003/09/30 15:02:31-07:00, wim@iguana.be

[PATCH] USB: problem with uhci-hcd in versions 2.6.0-test5 and 2.6.0-test6

I saw that you also reported problems with USB/uhci-hcd on your systems. Can you test
the following patch and see if it works now?


 drivers/usb/host/uhci-hcd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Fri Oct  3 16:44:48 2003
+++ b/drivers/usb/host/uhci-hcd.c	Fri Oct  3 16:44:48 2003
@@ -2185,8 +2185,8 @@
 	/* Maybe kick BIOS off this hardware.  Then reset, so we won't get
 	 * interrupts from any previous setup.
 	 */
-	pci_write_config_word(hcd->pdev, USBLEGSUP, USBLEGSUP_DEFAULT);
 	reset_hc(uhci);
+	pci_write_config_word(hcd->pdev, USBLEGSUP, USBLEGSUP_DEFAULT);
 	return 0;
 }
 
